You can download RedHat built RPM's of Evolution 1.0 for 7.2 here:

ftp://people.redhat.com/hp/gnomehide

Development packages are optional or it will depend on what you have
installed now.This is what I installed.This seemed to be the minimum
required to install Evolution. This was on a RH 7.2 box with all available errata installed.

bonobo-1.0.14-1.i386.rpm
bonobo-devel-1.0.14-1.i386.rpm
bonobo-conf-0.14-1.i386.rpm
bonobo-conf-devel-0.14-1.i386.rpm
evolution-1.0-1.i386.rpm
evolution-devel-1.0-1.i386.rpm
gal-0.18.1-1.i386.rpm
gal-devel-0.18.1-1.i386.rpm
GConf-1.0.7-2.i386.rpm
GConf-devel-1.0.7-2.i386.rpm
gnome-pilot-0.1.63-2.i386.rpm
gnome-pilot-devel-0.1.63-2.i386.rpm
gtkhtml-1.0.0-1.i386.rpm
gtkhtml-devel-1.0.0-1.i386.rpm
libbonobo-1.107.0-1.i386.rpm
libbonobo-devel-1.107.0-1.i386.rpm
libgal18-0.18.1-1.i386.rpm
libgtkhtml9-0.9.2-10.i386.rpm
libxml-1.8.16-3.i386.rpm
libxml-devel-1.8.16-3.i386.rpm
oaf-0.6.7-1.i386.rpm
oaf-devel-0.6.7-1.i386.rpm
ORBit-0.5.12-1.i386.rpm
ORBit-devel-0.5.12-1.i386.rpm
pilot-link-0.9.5-10.i386.rpm
pilot-link-devel-0.9.5-10.i386.rpm

How I installed. This may vary for you depending upon what you have installed.

rpm -Fvh ORBit* libxml* bonobo* GConf* oaf*
rpm -Uvh bonobo-conf* gal* libgal* gtkhtml* libgtkhtml9*
rpm -Fvh pilot*
rpm -Uvh gnome-pilot* evolution*.rpm


Please note there are alot of other Gnome related RPM's in the gnomehide directory. These should be considered beta, along with the ones listed above. The usual "use at your own risk" rule applies. So far Evolution is working very well.

Jim H